use strict;

use DE_EPAGES::Core::API::PerlTools qw ( ElementOf );
use DE_EPAGES::Core::API::Script qw ( RunScript );
use DE_EPAGES::Ebay::API::Constants;
use Test::More;

sub Main {
    TestConstants();
    done_testing();
}

sub TestConstants {
    is(EBAY_LISTINGSTATUS->{'Ended'}, AUCTION_ENDED, 'EBAY_LISTINGSTATUS');
    is([EBAY_DETAILS]->[1], 'CurrencyDetails', 'EBAY_DETAILS');
    ok(ElementOf('DispatchTimeMaxDetails',EBAY_DETAILS), 'EBAY_DETAILS 2');
    is(join(',',REMOTE_GETSELLERLIST_OUTPUTSELECTOR), 'HasMoreItems,ItemArray.Item.ItemID,ItemArray.Item.ListingDetails.EndTime,'.
                                                      'ItemArray.Item.SellingStatus.BidCount,ItemArray.Item.SellingStatus.CurrentPrice,'.
                                                      'ItemArray.Item.SellingStatus.ListingStatus,ItemArray.Item.SellingStatus.QuantitySold,'.
                                                      'PageNumber,PaginationResult,ReturnedItemCountActual', 'REMOTE_GETSELLERLIST_OUTPUTSELECTOR');

    # some constants for parallel requests
    is(REMOTE_GETSELLERLIST_ENTRIESPERPAGE, 125, 'REMOTE_GETSELLERLIST_ENTRIESPERPAGE'); ## no critic (ProhibitMagicNumbers)
    is(REMOTE_API_PARALLEL_REQUESTS, 18, 'REMOTE_API_PARALLEL_REQUESTS'); ## no critic (ProhibitMagicNumbers)
    is(REMOTE_GETSELLERLIST_UA_TIMEOUT, 300, 'REMOTE_GETSELLERLIST_UA_TIMEOUT'); ## no critic (ProhibitMagicNumbers)
    is(REMOTE_GETSELLERLIST_XML_API_URL, 'https://api.ebay.com/ws/api.dll', 'REMOTE_GETSELLERLIST_XML_API_URL');
    is(REMOTE_GETSELLERLIST_XML_SANDBOX_API_URL, 'https://api.sandbox.ebay.com/ws/api.dll', 'REMOTE_GETSELLERLIST_XML_SANDBOX_API_URL');

}

RunScript( Sub => \&Main );